Bug 242562 - [NEW PORT] devel/py-b2sdk: python B2 SDK
Summary: [NEW PORT] devel/py-b2sdk: python B2 SDK
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: feature
Depends on:
Blocks: 241138
  Show dependency treegraph
 
Reported: 2019-12-10 23:42 UTC by Henry
Modified: 2020-02-09 02:47 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
shar archive (2.44 KB, text/plain)
2019-12-10 23:42 UTC, Henry
no flags Details
py-b2sdk (2.49 KB, patch)
2020-01-11 23:24 UTC, Henry
no flags Details | Diff
py-b2sdk port shar (2.45 KB, text/plain)
2020-02-09 02:41 UTC, Henry
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Henry 2019-12-10 23:42:54 UTC
Created attachment 209847 [details]
shar archive

New port devel/py-b2sdk which will be required by forthcoming update to b2/py-b2.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-11 15:52:10 UTC
Review items:

- MAINTAINER should be author or real person. python@ is ok as a fallback maintainer for existing ports, not new ports

- Add LICENSE_FILE (one is provided in the PyPI sdist)

- Match RUN_DEPENDS exactly to those in install_requires, in particular, adding the max version for arrow in the case of <=3.4

- Add TEST_DEPENDS (patch out pyflakes, and patch == to >=) and test target for QA
Comment 2 Henry 2020-01-11 23:24:32 UTC
Created attachment 210642 [details]
py-b2sdk

Changes:

- updated MAINTAINER

- added LICENSE_FILE

- updated RUN_DEPENDS with actual requirements.txt taking into account the arrow patch taken from https://github.com/Backblaze/b2-sdk-python/commit/03aa9bc3c58ce6247cd02b6fa4be182b288fe22d#diff-b4ef698db8ca845e5845c4618278f29a

- The included tests do not work in version v0.1.8 and a test target has been intentionally omitted.

Note that although tests are including the the pypi v0.1.8 archive, in a later version that is available v1.0.2 the tests have been entirely removed from the pypi archive.

The tests from the github version of v1.0.2 do work, but...

Why not use version 1.0.2 of b2sdk? Because the latest *released* version v1.4.2 of the command line client py-b2 does not work with the later version of the b2sdk.

So in short till B2 (py-b2) v1.4.3 is released, no tests.
Comment 3 Henry 2020-02-09 02:41:38 UTC
Created attachment 211491 [details]
py-b2sdk port shar

Update patch to include explicit run dependency on databases/py-sqlite3
Comment 4 commit-hook freebsd_committer 2020-02-09 02:45:29 UTC
A commit references this bug:

Author: koobs
Date: Sun Feb  9 02:44:40 UTC 2020
New revision: 525620
URL: https://svnweb.freebsd.org/changeset/ports/525620

Log:
  [NEW] devel/py-b2sdk: Backblaze B2 SDK

  Python client library and a few handy utilities for
  easy access to all of the capabilities of B2 Cloud Storage.

  WWW: https://github.com/Backblaze/b2-sdk-python

  PR:		242562
  Submitted by:	Henry David Bartholomew <PopularMoment protonmail com>

Changes:
  head/devel/Makefile
  head/devel/py-b2sdk/
  head/devel/py-b2sdk/Makefile
  head/devel/py-b2sdk/distinfo
  head/devel/py-b2sdk/files/
  head/devel/py-b2sdk/files/patch-requirements.txt
  head/devel/py-b2sdk/pkg-descr
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-09 02:47:00 UTC
Committed with additions and minor changes:

 - Add test target & TEST_DEPENDS
 - Add comment the patch header
 - Adjust COMMENT (match upstream setup.py:description)
 - Add py-sqlite3 RUN_DEPENDS (identified during testing

Thank you Henry!